org.eclipse.jetty.servlet

## Enum Holder.Source

- java.lang.Object
- - java.lang.Enum<Holder.Source>
  - - org.eclipse.jetty.servlet.Holder.Source

All Implemented Interfaces:
  Serializable, Comparable<Holder.Source>

Enclosing class:
  Holder<T>

    public static enum Holder.Source
    extends Enum<Holder.Source>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANNOTATION`
`DESCRIPTOR`
`EMBEDDED`
`JAVAX_API`

### Method Summary

Methods
`static Holder.Source` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Holder.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMBEDDED

    public static final Holder.Source EMBEDDED

#### JAVAX_API

    public static final Holder.Source JAVAX_API

#### DESCRIPTOR

    public static final Holder.Source DESCRIPTOR

#### ANNOTATION

    public static final Holder.Source ANNOTATION

### Method Detail

#### values

    public static Holder.Source[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Holder.Source c : Holder.Source.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Holder.Source valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null